### Method

# WPEPlatform Settings register

#### Declaration [src]

    gboolean
    wpe_settings_register (
      WPESettings* settings,
      const char* key,
      const GVariantType* type,
      GVariant* default_value,
      GError** error
    )

#### Description [src]

Registers a key to be used for settings. This is only intended to be used by platforms and not applications.

The key must begin with `/wpe-platform/` and not end with `/`. e.g. `/wpe-platform/fonts/hinting`.

Any floating reference of `default_value` will be consumed.

It is an error to call this function with a key that has already been registered.

#### Parameters

`key`

  Type: `const char*`

  The key to register.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`type`

  Type: `GVariantType`

  The type of the setting.

  The data is owned by the caller of the method.

`default_value`

  Type: `GVariant`

  The default value for the setting.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.